/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BTF_TYPE_TAG_PERCPU_SKEL_H__
#define __BTF_TYPE_TAG_PERCPU_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct btf_type_tag_percpu {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_percpu1;
		struct bpf_program *test_percpu2;
		struct bpf_program *test_percpu_load;
		struct bpf_program *test_percpu_helper;
	} progs;
	struct {
		struct bpf_link *test_percpu1;
		struct bpf_link *test_percpu2;
		struct bpf_link *test_percpu_load;
		struct bpf_link *test_percpu_helper;
	} links;
	struct btf_type_tag_percpu__bss {
		__u64 g;
	} *bss;

#ifdef __cplusplus
	static inline struct btf_type_tag_percpu *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct btf_type_tag_percpu *open_and_load();
	static inline int load(struct btf_type_tag_percpu *skel);
	static inline int attach(struct btf_type_tag_percpu *skel);
	static inline void detach(struct btf_type_tag_percpu *skel);
	static inline void destroy(struct btf_type_tag_percpu *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
btf_type_tag_percpu__destroy(struct btf_type_tag_percpu *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
btf_type_tag_percpu__create_skeleton(struct btf_type_tag_percpu *obj);

static inline struct btf_type_tag_percpu *
btf_type_tag_percpu__open_opts(const struct bpf_object_open_opts *opts)
{
	struct btf_type_tag_percpu *obj;
	int err;

	obj = (struct btf_type_tag_percpu *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = btf_type_tag_percpu__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	btf_type_tag_percpu__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct btf_type_tag_percpu *
btf_type_tag_percpu__open(void)
{
	return btf_type_tag_percpu__open_opts(NULL);
}

static inline int
btf_type_tag_percpu__load(struct btf_type_tag_percpu *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct btf_type_tag_percpu *
btf_type_tag_percpu__open_and_load(void)
{
	struct btf_type_tag_percpu *obj;
	int err;

	obj = btf_type_tag_percpu__open();
	if (!obj)
		return NULL;
	err = btf_type_tag_percpu__load(obj);
	if (err) {
		btf_type_tag_percpu__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
btf_type_tag_percpu__attach(struct btf_type_tag_percpu *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
btf_type_tag_percpu__detach(struct btf_type_tag_percpu *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *btf_type_tag_percpu__elf_bytes(size_t *sz);

static inline int
btf_type_tag_percpu__create_skeleton(struct btf_type_tag_percpu *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "btf_type_tag_percpu";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "btf_type.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_percpu1";
	s->progs[0].prog = &obj->progs.test_percpu1;
	s->progs[0].link = &obj->links.test_percpu1;

	s->progs[1].name = "test_percpu2";
	s->progs[1].prog = &obj->progs.test_percpu2;
	s->progs[1].link = &obj->links.test_percpu2;

	s->progs[2].name = "test_percpu_load";
	s->progs[2].prog = &obj->progs.test_percpu_load;
	s->progs[2].link = &obj->links.test_percpu_load;

	s->progs[3].name = "test_percpu_helper";
	s->progs[3].prog = &obj->progs.test_percpu_helper;
	s->progs[3].link = &obj->links.test_percpu_helper;

	s->data = (void *)btf_type_tag_percpu__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *btf_type_tag_percpu__elf_bytes(size_t *sz)
{
	*sz = 8464;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\xd0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\
\x74\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\x5f\x70\x65\x72\x63\
\x70\x75\x5f\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\
\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\
\x61\x67\x5f\x70\x65\x72\x63\x70\x75\x5f\x32\0\x74\x70\x5f\x62\x74\x66\x2f\x63\
\x67\x72\x6f\x75\x70\x5f\x6d\x6b\x64\x69\x72\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x62\x73\x73\0\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\x5f\x70\x65\
\x72\x63\x70\x75\x2e\x63\0\x4c\x42\x42\x33\x5f\x32\0\x74\x65\x73\x74\x5f\x70\
\x65\x72\x63\x70\x75\x31\0\x67\0\x74\x65\x73\x74\x5f\x70\x65\x72\x63\x70\x75\
\x32\0\x74\x65\x73\x74\x5f\x70\x65\x72\x63\x70\x75\x5f\x6c\x6f\x61\x64\0\x74\
\x65\x73\x74\x5f\x70\x65\x72\x63\x70\x75\x5f\x68\x65\x6c\x70\x65\x72\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\
\x74\x79\x70\x65\x5f\x74\x61\x67\x5f\x70\x65\x72\x63\x70\x75\x5f\x31\0\x2e\x72\
\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\
\x64\x5f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\
\x5f\x70\x65\x72\x63\x70\x75\x5f\x32\0\x2e\x72\x65\x6c\x74\x70\x5f\x62\x74\x66\
\x2f\x63\x67\x72\x6f\x75\x70\x5f\x6d\x6b\x64\x69\x72\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x8e\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\
\x05\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\xab\x12\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x48\0\0\0\xb8\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\xba\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\xc7\x12\0\0\x05\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\xd8\x12\0\0\x05\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\x48\0\0\0\xeb\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x79\x11\0\0\0\
\0\0\0\x61\x11\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x79\x11\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x10\0\0\
\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\
\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x79\x11\x03\
\x10\0\0\0\0\x79\x11\0\x40\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x61\0\0\0\0\0\0\x85\0\0\0\
\0\0\0\x08\x79\x16\x03\x10\0\0\0\0\xbf\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x99\x15\
\0\0\x01\0\0\0\0\x61\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\
\0\x07\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x07\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\
\0\0\0\0\0\0\x0c\x98\0\0\x0c\x98\0\0\x0a\xdc\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\
\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\
\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\x0c\0\0\x01\0\0\0\
\x03\0\0\0\x29\x0c\0\0\x01\0\0\0\x03\0\0\0\x36\x0c\0\0\x01\0\0\0\x03\0\0\0\x47\
\x04\0\0\x27\0\0\x06\x78\0\0\0\x4e\0\0\0\x09\0\0\0\0\0\0\0\x53\0\0\0\x0d\0\0\
\x06\x40\0\0\0\x59\0\0\0\x04\0\0\x06\x80\0\0\0\x5f\0\0\0\x04\0\0\x06\xa0\0\0\0\
\x69\0\0\0\x04\0\0\x06\xc0\0\0\0\x78\0\0\0\x04\0\0\x06\xe0\0\0\0\x8d\0\0\0\x04\
\0\0\x07\0\0\0\0\x9d\0\0\0\x04\0\0\x07\x20\0\0\0\xb0\0\0\0\x04\0\0\x07\x40\0\0\
\0\xcd\0\0\0\x04\0\0\x07\x60\0\0\0\xec\0\0\0\x04\0\0\x07\x80\0\0\x01\x01\0\0\0\
\x28\0\0\x07\xc0\0\0\x01\x04\0\0\0\x29\0\0\x08\0\0\0\x01\x0f\0\0\0\x29\0\0\x0a\
\x40\0\0\x01\x1b\0\0\0\x33\0\0\x0c\x80\0\0\x01\x2b\0\0\0\x33\0\0\x0c\x90\0\0\
\x01\x3b\0\0\0\x33\0\0\x0c\xa0\0\0\x01\x4f\0\0\0\x33\0\0\x0c\xb0\0\0\x01\x63\0\
\0\0\x36\0\0\x0c\xc0\0\0\x01\x6a\0\0\0\x38\0\0\x10\x40\0\0\x01\x6f\0\0\0\x0f\0\
\0\x10\x80\0\0\x01\x7a\0\0\0\x39\0\0\x11\0\0\0\x01\x82\0\0\0\x0a\0\0\x18\0\0\0\
\x01\x8b\0\0\0\x0a\0\0\x18\x40\0\0\x01\x98\0\0\0\x3a\0\0\x18\x80\0\0\x01\xa2\0\
\0\0\x0f\0\0\x18\xc0\0\0\x01\xb1\0\0\0\x3b\0\0\x19\x40\0\0\x01\xbc\0\0\0\x3b\0\
\0\x1a\x40\0\0\x01\xc2\0\0\0\x3d\0\0\x1b\x40\0\0\x01\xcf\0\0\0\x0f\0\0\x1b\x40\
\0\0\x01\xd8\0\0\0\x3e\0\0\x1b\xc0\0\0\x01\xe6\0\0\0\x44\0\0\x1c\xc0\0\0\x01\
\xf4\0\0\0\x16\0\0\x1d\x80\0\0\x02\x07\0\0\0\x49\0\0\x1e\x80\0\0\x02\x0b\0\0\0\
\x4a\0\0\x1e\xc0\0\0\x02\x0f\0\0\0\x14\0\0\x32\xc0\0\0\x02\x20\0\0\0\x62\0\0\
\x32\xe0\0\0\x02\x28\0\0\0\x65\0\0\x33\x80\0\0\x02\x39\0\0\0\x66\0\0\x33\xc0\0\
\0\x02\x43\x04\0\0\x0d\0\0\0\xc8\0\0\0\x47\0\0\0\x0a\0\0\0\0\0\0\x02\x57\0\0\0\
\x0b\0\0\0\x40\0\0\x02\x5a\0\0\0\x0c\0\0\0\x80\0\0\x02\x61\0\0\0\x0f\0\0\x01\0\
\0\0\x02\x69\0\0\0\x0f\0\0\x01\x80\0\0\x02\x72\0\0\0\x0f\0\0\x02\0\0\0\x02\x81\
\0\0\0\x04\0\0\x02\x80\0\0\0\x53\0\0\0\x11\0\0\x02\xa0\0\0\x02\x84\0\0\0\x12\0\
\0\x02\xc0\0\0\x02\x8e\0\0\0\x14\0\0\x03\0\0\0\x02\x99\0\0\0\x16\0\0\x03\x40\0\
\0\x02\xa6\0\0\0\x21\0\0\x04\x40\0\0\x02\xb4\0\0\0\x27\0\0\x06\0\0\0\0\0\x02\0\
\0\0\0\0\0\x08\0\0\0\0\x02\0\0\0\0\0\0\x6e\0\0\x02\xbb\x04\0\0\x02\0\0\0\x10\0\
\0\x02\xc6\0\0\0\x0d\0\0\0\0\0\0\x02\xd7\0\0\0\x0e\0\0\0\x40\0\0\x02\xdc\x01\0\
\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x73\0\0\x02\xea\x04\0\0\x02\0\
\0\0\x10\0\0\x02\xf4\0\0\0\x10\0\0\0\0\0\0\x02\xf9\0\0\0\x10\0\0\0\x40\0\0\0\0\
\x02\0\0\0\0\0\0\x0f\0\0\x02\xfe\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x03\x0b\x08\
\0\0\0\0\0\0\x13\0\0\x03\x0f\x08\0\0\0\0\0\0\x02\0\0\x03\x15\x08\0\0\0\0\0\0\
\x15\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x03\x1e\0\0\0\x04\0\0\0\0\0\0\x03\x26\
\x04\0\0\x03\0\0\0\x20\0\0\x02\xd7\0\0\0\x17\0\0\0\0\0\0\x03\x32\0\0\0\x0f\0\0\
\0\x40\0\0\x03\x38\0\0\0\x1d\0\0\0\xc0\0\0\x03\x3d\x08\0\0\0\0\0\0\x18\0\0\x03\
\x4b\x08\0\0\0\0\0\0\x19\0\0\0\0\x04\0\0\x01\0\0\0\x08\0\0\x03\x1e\0\0\0\x1a\0\
\0\0\0\0\0\x03\x56\x08\0\0\0\0\0\0\x1b\0\0\x03\x5a\x08\0\0\0\0\0\0\x1c\0\0\x03\
\x60\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\x03\x6a\x08\0\0\0\0\0\0\x1e\0\0\0\0\
\x02\0\0\0\0\0\0\x1f\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\x02\
\0\0\0\0\0\0\x16\0\0\x03\x76\x04\0\0\x03\0\0\0\x38\0\0\x03\x7f\0\0\0\x16\0\0\0\
\0\0\0\x03\x84\0\0\0\x22\0\0\x01\0\0\0\x03\x88\0\0\0\x26\0\0\x01\x80\0\0\x03\
\x8b\x04\0\0\x02\0\0\0\x10\0\0\x02\xf4\0\0\0\x23\0\0\0\0\0\0\x03\x38\0\0\0\x24\
\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x22\0\0\0\0\x02\0\0\0\0\0\0\x25\0\0\0\0\x0d\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\0\x02\0\0\0\0\0\0\x70\0\0\0\0\x02\0\0\
\0\0\0\0\x09\0\0\0\0\x02\0\0\0\0\0\0\x75\0\0\x03\x99\x04\0\0\x03\0\0\0\x48\0\0\
\x01\x01\0\0\0\x28\0\0\0\0\0\0\x03\xa5\0\0\0\x0d\0\0\0\x40\0\0\x03\xb1\0\0\0\
\x2a\0\0\0\x80\0\0\x03\xbe\x04\0\0\x06\0\0\0\x38\0\0\x03\x32\0\0\0\x2b\0\0\0\0\
\0\0\x03\xc9\0\0\0\x0d\0\0\0\x80\0\0\x03\xd1\0\0\0\x2e\0\0\0\xc0\0\0\0\x53\0\0\
\0\x31\0\0\x01\0\0\0\x03\xda\0\0\0\x0d\0\0\x01\x40\0\0\x03\xe7\0\0\0\x0d\0\0\
\x01\x80\0\0\x03\xf4\x04\0\0\x02\0\0\0\x10\0\0\x02\xf4\0\0\0\x2c\0\0\0\0\0\0\
\x03\xff\0\0\0\x2d\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x2b\0\0\0\0\x02\0\0\0\0\0\
\0\x2c\0\0\0\0\x02\0\0\0\0\0\0\x2f\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x30\0\0\0\0\x02\0\0\0\0\0\0\x2a\0\0\x04\x05\x08\0\0\0\0\0\0\x32\0\0\x04\x09\
\x08\0\0\0\0\0\0\x11\0\0\x04\x0f\x08\0\0\0\0\0\0\x34\0\0\x04\x13\x08\0\0\0\0\0\
\0\x35\0\0\x04\x19\x01\0\0\0\0\0\0\x02\0\0\0\x10\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x27\0\0\0\x37\0\0\0\x0e\0\0\x04\x28\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\
\x02\0\0\0\0\0\0\x76\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x37\0\0\0\x0e\0\
\0\0\0\x02\0\0\0\0\0\0\x67\0\0\x04\x3c\x04\0\0\x02\0\0\0\x20\0\0\x04\x4d\0\0\0\
\x3c\0\0\0\0\0\0\x04\x55\0\0\0\x12\0\0\0\xc0\0\0\x04\x63\x04\0\0\x03\0\0\0\x18\
\0\0\x04\x70\0\0\0\x12\0\0\0\0\0\0\x04\x76\0\0\0\x12\0\0\0\x40\0\0\x04\x7c\0\0\
\0\x02\0\0\0\x80\0\0\x01\xc2\x04\0\0\0\0\0\0\0\0\0\x04\x8d\x04\0\0\x04\0\0\0\
\x20\0\0\x04\x93\0\0\0\x17\0\0\0\0\0\0\x04\x99\0\0\0\x3f\0\0\0\x40\0\0\x04\xa3\
\0\0\0\x43\0\0\0\x60\0\0\x04\xa7\0\0\0\x0f\0\0\0\x80\0\0\x04\xb1\x08\0\0\0\0\0\
\0\x40\0\0\x04\xc0\x04\0\0\x01\0\0\0\x04\0\0\x04\xcd\0\0\0\x41\0\0\0\0\0\0\x04\
\xd6\x08\0\0\0\0\0\0\x42\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x04\xe6\0\0\0\x04\0\
\0\0\0\0\0\x04\xeb\x04\0\0\x01\0\0\0\x04\0\0\x05\x01\0\0\0\x14\0\0\0\0\0\0\x05\
\x06\x08\0\0\0\0\0\0\x45\0\0\x05\x18\x04\0\0\x02\0\0\0\x18\0\0\x04\xe6\0\0\0\
\x46\0\0\0\0\0\0\x05\x28\0\0\0\x0f\0\0\0\x40\0\0\x05\x2d\x08\0\0\0\0\0\0\x47\0\
\0\x05\x38\x04\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\x05\0\0\x01\
\0\0\0\x04\0\0\x05\x41\0\0\0\x40\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x77\0\0\x05\
\x47\x04\0\0\x07\0\0\x02\x80\0\0\x05\x52\0\0\0\x5b\0\0\0\0\0\0\x05\x5c\0\0\0\
\x5d\0\0\x08\x40\0\0\0\x53\0\0\0\x61\0\0\x10\x80\0\0\x05\x62\0\0\0\x0f\0\0\x11\
\xc0\0\0\x05\x6b\0\0\0\x4b\0\0\x12\x40\0\0\x02\x5a\0\0\0\x0c\0\0\x12\x80\0\0\
\x05\x74\0\0\0\x16\0\0\x13\0\0\0\0\0\x02\0\0\0\0\0\0\x4c\0\0\x05\x81\x04\0\0\
\x02\0\0\0\x10\0\0\x03\x84\0\0\0\x22\0\0\0\0\0\0\x05\x90\0\0\0\x5a\0\0\0\x80\0\
\0\x05\x96\x04\0\0\x02\0\0\0\x18\0\0\x05\xaa\0\0\0\x4e\0\0\0\0\0\0\0\0\0\0\0\
\x4f\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x6f\0\0\0\0\x05\0\0\x02\0\0\0\x10\0\0\
\x05\xaf\0\0\0\x59\0\0\0\0\0\0\x05\xbe\0\0\0\x12\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\
\0\x51\0\0\x05\xc9\x04\0\0\x07\0\0\0\x68\0\0\0\0\0\0\0\x52\0\0\0\0\0\0\x05\xdc\
\0\0\0\x55\0\0\0\x40\0\0\x05\xe0\0\0\0\x56\0\0\0\x80\0\0\x05\xe4\0\0\0\x0f\0\0\
\x01\0\0\0\x05\xed\0\0\0\x0f\0\0\x01\x80\0\0\x05\xf5\0\0\0\x57\0\0\x02\0\0\0\
\x03\x84\0\0\0\x22\0\0\x02\xc0\0\0\0\0\x05\0\0\x02\0\0\0\x08\0\0\x05\xfa\0\0\0\
\x53\0\0\0\0\0\0\x05\xfe\0\0\0\x54\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x71\0\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x72\0\0\x06\x09\x04\0\0\x02\0\0\0\
\x10\0\0\x06\x20\0\0\0\x13\0\0\0\0\0\0\x06\x30\0\0\0\x32\0\0\0\x40\0\0\x06\x3c\
\x04\0\0\x03\0\0\0\x18\0\0\x06\x44\0\0\0\x0d\0\0\0\0\0\0\x06\x56\0\0\0\x58\0\0\
\0\x40\0\0\x06\x5f\0\0\0\x58\0\0\0\x80\0\0\0\0\x02\0\0\0\0\0\0\x57\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x37\0\0\0\x02\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x4d\0\0\0\x37\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x4b\0\0\0\x37\0\0\0\x21\
\0\0\x06\x67\x04\0\0\x01\0\0\0\x08\0\0\x06\x72\0\0\0\x2c\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x37\0\0\0\x21\0\0\x06\x78\x08\0\0\0\0\0\0\x5f\0\0\
\x06\x7b\x08\0\0\0\0\0\0\x60\0\0\x06\x80\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x5e\0\0\0\x37\0\0\0\x21\0\0\x06\x8e\x04\0\0\x04\0\0\0\
\x10\0\0\x06\xa3\0\0\0\x63\0\0\0\0\0\0\x06\xaa\0\0\0\x04\0\0\0\x20\0\0\x06\xb3\
\0\0\0\x04\0\0\0\x40\0\0\x06\xc9\0\0\0\x04\0\0\0\x60\0\0\x06\xd9\x08\0\0\0\0\0\
\0\x64\0\0\x06\xde\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\0\0\x02\0\0\0\0\0\0\x74\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x37\0\0\0\0\0\0\x06\xe4\x04\0\0\x05\
\0\0\0\x50\0\0\x06\xf5\0\0\0\x68\0\0\0\0\0\0\x01\xbc\0\0\0\x3b\0\0\0\0\0\0\x01\
\xb1\0\0\0\x3b\0\0\x01\0\0\0\x06\xfb\0\0\0\x0a\0\0\x02\0\0\0\x07\x0c\0\0\0\x0a\
\0\0\x02\x40\0\0\x07\x19\x04\0\0\0\0\0\0\0\0\0\x07\x28\x0c\0\0\x01\0\0\0\x03\0\
\0\x07\x3b\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x6a\
\0\0\0\x37\0\0\0\x04\0\0\x07\x40\x0e\0\0\0\0\0\0\x6b\0\0\0\x01\0\0\x07\x49\x0e\
\0\0\0\0\0\0\x13\0\0\0\x01\0\0\x07\x4b\x07\0\0\0\0\0\0\0\0\0\x07\x59\x07\0\0\0\
\0\0\0\0\0\0\x07\x62\x07\0\0\0\0\0\0\0\0\0\x07\x73\x07\0\0\0\0\0\0\0\0\0\x07\
\x86\x07\0\0\0\0\0\0\0\0\0\x07\x9d\x07\0\0\0\0\0\0\0\0\0\x07\xad\x07\0\0\0\0\0\
\0\0\0\0\x07\xbf\x07\0\0\0\0\0\0\0\0\0\x07\xcb\x07\0\0\0\0\0\0\0\0\0\x07\xd7\
\x07\0\0\0\0\0\0\0\0\0\x0a\x5f\x0f\0\0\x01\0\0\0\x04\0\0\0\x6c\0\0\0\0\0\0\0\
\x04\0\0\x0a\x67\x0f\0\0\x01\0\0\0\x08\0\0\0\x6d\0\0\0\0\0\0\0\x08\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\
\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x70\x65\x72\x63\x70\x75\x31\0\x74\x65\x73\
\x74\x5f\x70\x65\x72\x63\x70\x75\x32\0\x74\x65\x73\x74\x5f\x70\x65\x72\x63\x70\
\x75\x5f\x6c\x6f\x61\x64\0\x63\x67\x72\x6f\x75\x70\0\x73\x65\x6c\x66\0\x66\x6c\
\x61\x67\x73\0\x6c\x65\x76\x65\x6c\0\x6d\x61\x78\x5f\x64\x65\x70\x74\x68\0\x6e\
\x72\x5f\x64\x65\x73\x63\x65\x6e\x64\x61\x6e\x74\x73\0\x6e\x72\x5f\x64\x79\x69\
\x6e\x67\x5f\x64\x65\x73\x63\x65\x6e\x64\x61\x6e\x74\x73\0\x6d\x61\x78\x5f\x64\
\x65\x73\x63\x65\x6e\x64\x61\x6e\x74\x73\0\x6e\x72\x5f\x70\x6f\x70\x75\x6c\x61\
\x74\x65\x64\x5f\x63\x73\x65\x74\x73\0\x6e\x72\x5f\x70\x6f\x70\x75\x6c\x61\x74\
\x65\x64\x5f\x64\x6f\x6d\x61\x69\x6e\x5f\x63\x68\x69\x6c\x64\x72\x65\x6e\0\x6e\
\x72\x5f\x70\x6f\x70\x75\x6c\x61\x74\x65\x64\x5f\x74\x68\x72\x65\x61\x64\x65\
\x64\x5f\x63\x68\x69\x6c\x64\x72\x65\x6e\0\x6e\x72\x5f\x74\x68\x72\x65\x61\x64\
\x65\x64\x5f\x63\x68\x69\x6c\x64\x72\x65\x6e\0\x6b\x6e\0\x70\x72\x6f\x63\x73\
\x5f\x66\x69\x6c\x65\0\x65\x76\x65\x6e\x74\x73\x5f\x66\x69\x6c\x65\0\x73\x75\
\x62\x74\x72\x65\x65\x5f\x63\x6f\x6e\x74\x72\x6f\x6c\0\x73\x75\x62\x74\x72\x65\
\x65\x5f\x73\x73\x5f\x6d\x61\x73\x6b\0\x6f\x6c\x64\x5f\x73\x75\x62\x74\x72\x65\
\x65\x5f\x63\x6f\x6e\x74\x72\x6f\x6c\0\x6f\x6c\x64\x5f\x73\x75\x62\x74\x72\x65\
\x65\x5f\x73\x73\x5f\x6d\x61\x73\x6b\0\x73\x75\x62\x73\x79\x73\0\x72\x6f\x6f\
\x74\0\x63\x73\x65\x74\x5f\x6c\x69\x6e\x6b\x73\0\x65\x5f\x63\x73\x65\x74\x73\0\
\x64\x6f\x6d\x5f\x63\x67\x72\x70\0\x6f\x6c\x64\x5f\x64\x6f\x6d\x5f\x63\x67\x72\
\x70\0\x72\x73\x74\x61\x74\x5f\x63\x70\x75\0\x72\x73\x74\x61\x74\x5f\x63\x73\
\x73\x5f\x6c\x69\x73\x74\0\x6c\x61\x73\x74\x5f\x62\x73\x74\x61\x74\0\x62\x73\
\x74\x61\x74\0\x70\x72\x65\x76\x5f\x63\x70\x75\x74\x69\x6d\x65\0\x70\x69\x64\
\x6c\x69\x73\x74\x73\0\x70\x69\x64\x6c\x69\x73\x74\x5f\x6d\x75\x74\x65\x78\0\
\x6f\x66\x66\x6c\x69\x6e\x65\x5f\x77\x61\x69\x74\x71\0\x72\x65\x6c\x65\x61\x73\
\x65\x5f\x61\x67\x65\x6e\x74\x5f\x77\x6f\x72\x6b\0\x70\x73\x69\0\x62\x70\x66\0\
\x63\x6f\x6e\x67\x65\x73\x74\x69\x6f\x6e\x5f\x63\x6f\x75\x6e\x74\0\x66\x72\x65\
\x65\x7a\x65\x72\0\x62\x70\x66\x5f\x63\x67\x72\x70\x5f\x73\x74\x6f\x72\x61\x67\
\x65\0\x61\x6e\x63\x65\x73\x74\x6f\x72\x73\0\x63\x67\x72\x6f\x75\x70\x5f\x73\
\x75\x62\x73\x79\x73\x5f\x73\x74\x61\x74\x65\0\x73\x73\0\x72\x65\x66\x63\x6e\
\x74\0\x73\x69\x62\x6c\x69\x6e\x67\0\x63\x68\x69\x6c\x64\x72\x65\x6e\0\x72\x73\
\x74\x61\x74\x5f\x63\x73\x73\x5f\x6e\x6f\x64\x65\0\x69\x64\0\x73\x65\x72\x69\
\x61\x6c\x5f\x6e\x72\0\x6f\x6e\x6c\x69\x6e\x65\x5f\x63\x6e\x74\0\x64\x65\x73\
\x74\x72\x6f\x79\x5f\x77\x6f\x72\x6b\0\x64\x65\x73\x74\x72\x6f\x79\x5f\x72\x77\
\x6f\x72\x6b\0\x70\x61\x72\x65\x6e\x74\0\x70\x65\x72\x63\x70\x75\x5f\x72\x65\
\x66\0\x70\x65\x72\x63\x70\x75\x5f\x63\x6f\x75\x6e\x74\x5f\x70\x74\x72\0\x64\
\x61\x74\x61\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x6c\x69\
\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\x78\x74\0\x70\x72\x65\x76\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x61\
\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x77\x6f\x72\x6b\
\x5f\x73\x74\x72\x75\x63\x74\0\x65\x6e\x74\x72\x79\0\x66\x75\x6e\x63\0\x61\x74\
\x6f\x6d\x69\x63\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\x69\x63\x36\x34\
\x5f\x74\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x72\x63\x75\x5f\x77\x6f\
\x72\x6b\0\x77\x6f\x72\x6b\0\x72\x63\x75\0\x77\x71\0\x63\x61\x6c\x6c\x62\x61\
\x63\x6b\x5f\x68\x65\x61\x64\0\x63\x67\x72\x6f\x75\x70\x5f\x66\x69\x6c\x65\0\
\x6e\x6f\x74\x69\x66\x69\x65\x64\x5f\x61\x74\0\x6e\x6f\x74\x69\x66\x79\x5f\x74\
\x69\x6d\x65\x72\0\x74\x69\x6d\x65\x72\x5f\x6c\x69\x73\x74\0\x65\x78\x70\x69\
\x72\x65\x73\0\x66\x75\x6e\x63\x74\x69\x6f\x6e\0\x72\x68\x5f\x72\x65\x73\x65\
\x72\x76\x65\x64\x31\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x32\0\x68\
\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x70\x70\x72\x65\x76\0\x75\x33\x32\0\x5f\
\x5f\x75\x33\x32\0\x75\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x73\x68\x6f\x72\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x63\x67\x72\x6f\x75\x70\x5f\x62\x61\x73\x65\
\x5f\x73\x74\x61\x74\0\x63\x70\x75\x74\x69\x6d\x65\0\x66\x6f\x72\x63\x65\x69\
\x64\x6c\x65\x5f\x73\x75\x6d\0\x74\x61\x73\x6b\x5f\x63\x70\x75\x74\x69\x6d\x65\
\0\x73\x74\x69\x6d\x65\0\x75\x74\x69\x6d\x65\0\x73\x75\x6d\x5f\x65\x78\x65\x63\
\x5f\x72\x75\x6e\x74\x69\x6d\x65\0\x6d\x75\x74\x65\x78\0\x6f\x77\x6e\x65\x72\0\
\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\0\x77\x61\x69\x74\x5f\x6c\
\x69\x73\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x72\
\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\
\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6c\x6f\x63\
\x6b\0\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\x71\x75\
\x65\x75\x65\0\x74\x61\x69\x6c\0\x77\x61\x69\x74\x5f\x71\x75\x65\x75\x65\x5f\
\x68\x65\x61\x64\x5f\x74\0\x77\x61\x69\x74\x5f\x71\x75\x65\x75\x65\x5f\x68\x65\
\x61\x64\0\x68\x65\x61\x64\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\
\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x63\x67\x72\x6f\x75\x70\x5f\
\x62\x70\x66\0\x65\x66\x66\x65\x63\x74\x69\x76\x65\0\x70\x72\x6f\x67\x73\0\x73\
\x74\x6f\x72\x61\x67\x65\x73\0\x69\x6e\x61\x63\x74\x69\x76\x65\0\x72\x65\x6c\
\x65\x61\x73\x65\x5f\x77\x6f\x72\x6b\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x61\
\x72\x72\x61\x79\0\x69\x74\x65\x6d\x73\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\
\x61\x72\x72\x61\x79\x5f\x69\x74\x65\x6d\0\x70\x72\x6f\x67\0\x63\x67\x72\x6f\
\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x62\x70\x66\x5f\x63\x6f\x6f\x6b\x69\
\x65\0\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\
\0\x6d\x61\x70\0\x6b\x65\x79\0\x6c\x69\x73\x74\x5f\x6d\x61\x70\0\x6c\x69\x73\
\x74\x5f\x63\x67\0\x6e\x6f\x64\x65\0\x62\x75\x66\0\x70\x65\x72\x63\x70\x75\x5f\
\x62\x75\x66\0\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\
\x67\x65\x5f\x6b\x65\x79\0\x63\x67\x72\x6f\x75\x70\x5f\x69\x6e\x6f\x64\x65\x5f\
\x69\x64\0\x61\x74\x74\x61\x63\x68\x5f\x74\x79\x70\x65\0\x72\x62\x5f\x6e\x6f\
\x64\x65\0\x5f\x5f\x72\x62\x5f\x70\x61\x72\x65\x6e\x74\x5f\x63\x6f\x6c\x6f\x72\
\0\x72\x62\x5f\x72\x69\x67\x68\x74\0\x72\x62\x5f\x6c\x65\x66\x74\0\x68\x6c\x69\
\x73\x74\x5f\x68\x65\x61\x64\0\x66\x69\x72\x73\x74\0\x75\x38\0\x5f\x5f\x75\x38\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x63\x67\x72\x6f\x75\
\x70\x5f\x66\x72\x65\x65\x7a\x65\x72\x5f\x73\x74\x61\x74\x65\0\x66\x72\x65\x65\
\x7a\x65\0\x65\x5f\x66\x72\x65\x65\x7a\x65\0\x6e\x72\x5f\x66\x72\x6f\x7a\x65\
\x6e\x5f\x64\x65\x73\x63\x65\x6e\x64\x61\x6e\x74\x73\0\x6e\x72\x5f\x66\x72\x6f\
\x7a\x65\x6e\x5f\x74\x61\x73\x6b\x73\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\
\x63\x67\x72\x6f\x75\x70\x5f\x72\x73\x74\x61\x74\x5f\x63\x70\x75\0\x62\x73\x79\
\x6e\x63\0\x75\x70\x64\x61\x74\x65\x64\x5f\x63\x68\x69\x6c\x64\x72\x65\x6e\0\
\x75\x70\x64\x61\x74\x65\x64\x5f\x6e\x65\x78\x74\0\x75\x36\x34\x5f\x73\x74\x61\
\x74\x73\x5f\x73\x79\x6e\x63\0\x74\x65\x73\x74\x5f\x70\x65\x72\x63\x70\x75\x5f\
\x68\x65\x6c\x70\x65\x72\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x67\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x75\x62\x73\x79\x73\0\x62\x70\x66\x5f\
\x70\x72\x6f\x67\0\x77\x6f\x72\x6b\x71\x75\x65\x75\x65\x5f\x73\x74\x72\x75\x63\
\x74\0\x62\x70\x66\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x62\x75\x66\x66\x65\x72\
\0\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\
\x6d\x61\x70\0\x70\x65\x72\x63\x70\x75\x5f\x72\x65\x66\x5f\x64\x61\x74\x61\0\
\x62\x70\x66\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x6b\x65\
\x72\x6e\x66\x73\x5f\x6e\x6f\x64\x65\0\x63\x67\x72\x6f\x75\x70\x5f\x72\x6f\x6f\
\x74\0\x70\x73\x69\x5f\x67\x72\x6f\x75\x70\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x36\x36\x2e\x65\x6c\x39\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x36\x36\x2e\x65\x6c\x39\x2e\
\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\x5f\x70\x65\x72\x63\
\x70\x75\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\
\x73\x74\x5f\x70\x65\x72\x63\x70\x75\x31\x2c\x20\x73\x74\x72\x75\x63\x74\x20\
\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x62\x74\x66\x5f\x74\x79\x70\
\x65\x5f\x74\x61\x67\x5f\x31\x20\x2a\x61\x72\x67\x29\0\x09\x67\x20\x3d\x20\x61\
\x72\x67\x2d\x3e\x61\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x74\x65\x73\x74\x5f\x70\x65\x72\x63\x70\x75\x32\x2c\x20\x73\x74\x72\x75\x63\
\x74\x20\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x62\x74\x66\x5f\x74\
\x79\x70\x65\x5f\x74\x61\x67\x5f\x32\x20\x2a\x61\x72\x67\x29\0\x09\x67\x20\x3d\
\x20\x61\x72\x67\x2d\x3e\x70\x2d\x3e\x61\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x70\x65\x72\x63\x70\x75\x5f\x6c\x6f\
\x61\x64\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x63\x67\x72\x6f\x75\x70\x20\x2a\
\x63\x67\x72\x70\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\x68\x61\x72\x20\x2a\x70\
\x61\x74\x68\x29\0\x09\x67\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x63\x67\x72\
\x70\x2d\x3e\x72\x73\x74\x61\x74\x5f\x63\x70\x75\x2d\x3e\x75\x70\x64\x61\x74\
\x65\x64\x5f\x63\x68\x69\x6c\x64\x72\x65\x6e\x3b\0\x69\x6e\x74\x20\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x70\x65\x72\x63\x70\x75\x5f\x68\
\x65\x6c\x70\x65\x72\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x63\x67\x72\x6f\x75\
\x70\x20\x2a\x63\x67\x72\x70\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\x68\x61\x72\
\x20\x2a\x70\x61\x74\x68\x29\0\x09\x63\x70\x75\x20\x3d\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\
\x28\x29\x3b\0\x09\x72\x73\x74\x61\x74\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\
\x20\x63\x67\x72\x6f\x75\x70\x5f\x72\x73\x74\x61\x74\x5f\x63\x70\x75\x20\x2a\
\x29\x62\x70\x66\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x63\x67\
\x72\x70\x2d\x3e\x72\x73\x74\x61\x74\x5f\x63\x70\x75\x2c\x20\x63\x70\x75\x29\
\x3b\0\x09\x69\x66\x20\x28\x72\x73\x74\x61\x74\x29\x20\x7b\0\x09\x09\x2a\x28\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x69\x6e\x74\x20\x2a\x29\x72\x73\x74\x61\
\x74\x3b\0\x30\x3a\x32\x34\0\x30\x3a\x33\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\
\x6f\x64\x5f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\
\x67\x5f\x70\x65\x72\x63\x70\x75\x5f\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\
\x74\x79\x70\x65\x5f\x74\x61\x67\x5f\x70\x65\x72\x63\x70\x75\x5f\x32\0\x74\x70\
\x5f\x62\x74\x66\x2f\x63\x67\x72\x6f\x75\x70\x5f\x6d\x6b\x64\x69\x72\0\0\0\0\0\
\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x3c\0\0\0\x3c\0\0\x01\x6c\0\0\x01\xa8\0\
\0\0\x3c\0\0\0\x08\0\0\x0a\x6c\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\x0a\x9a\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\x0a\xc8\0\0\0\x02\0\0\0\0\0\0\0\x07\0\0\0\x40\0\0\0\
\x69\0\0\0\x10\0\0\x0a\x6c\0\0\0\x04\0\0\0\0\0\0\x07\xe1\0\0\x08\x60\0\0\x48\
\x05\0\0\0\x08\0\0\x07\xe1\0\0\x08\xa3\0\0\x50\x0b\0\0\0\x20\0\0\x07\xe1\0\0\
\x08\xa3\0\0\x50\x04\0\0\0\x38\0\0\x07\xe1\0\0\x08\x60\0\0\x48\x05\0\0\x0a\x9a\
\0\0\0\x05\0\0\0\0\0\0\x07\xe1\0\0\x08\xb0\0\0\x64\x05\0\0\0\x08\0\0\x07\xe1\0\
\0\x08\xf3\0\0\x6c\x0b\0\0\0\x10\0\0\x07\xe1\0\0\x08\xf3\0\0\x6c\x0e\0\0\0\x28\
\0\0\x07\xe1\0\0\x08\xf3\0\0\x6c\x04\0\0\0\x40\0\0\x07\xe1\0\0\x08\xb0\0\0\x64\
\x05\0\0\x0a\xc8\0\0\0\x0c\0\0\0\0\0\0\x07\xe1\0\0\x09\x03\0\0\xb8\x05\0\0\0\
\x08\0\0\x07\xe1\0\0\x09\x49\0\0\xc0\x13\0\0\0\x10\0\0\x07\xe1\0\0\x09\x49\0\0\
\xc0\x1e\0\0\0\x18\0\0\x07\xe1\0\0\x09\x49\0\0\xc0\x04\0\0\0\x30\0\0\x07\xe1\0\
\0\x09\x03\0\0\xb8\x05\0\0\0\x40\0\0\x07\xe1\0\0\x09\x78\0\0\xd4\x05\0\0\0\x48\
\0\0\x07\xe1\0\0\x09\xc0\0\0\xe8\x08\0\0\0\x50\0\0\x07\xe1\0\0\x09\xe3\0\0\xec\
\x3b\0\0\0\x58\0\0\x07\xe1\0\0\x09\xe3\0\0\xec\x25\0\0\0\x68\0\0\x07\xe1\0\0\
\x0a\x2e\0\0\xf0\x06\0\0\0\x70\0\0\x07\xe1\0\0\x0a\x3c\0\0\xf8\x03\0\0\0\x78\0\
\0\x07\xe1\0\0\x09\x78\0\0\xd4\x05\0\0\0\x10\0\0\x0a\xc8\0\0\0\x03\0\0\0\x08\0\
\0\0\x08\0\0\x0a\x56\0\0\0\0\0\0\0\x10\0\0\0\x67\0\0\x0a\x5b\0\0\0\0\0\0\0\x50\
\0\0\0\x08\0\0\x0a\x56\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\x01\x7e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xc0\0\0\0\0\0\
\0\x01\x20\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xe0\0\0\0\0\0\0\0\x48\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x01\0\0\0\0\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x28\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\x78\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x81\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x89\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\xf4\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x08\0\0\0\0\0\
\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x26\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x18\0\0\0\0\0\0\0\
\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x58\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x28\0\0\0\0\0\0\0\x10\0\
\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x70\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x38\0\0\0\0\0\0\x17\x8c\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x75\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\xc8\0\0\0\0\0\0\x02\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct btf_type_tag_percpu *btf_type_tag_percpu::open(const struct bpf_object_open_opts *opts) { return btf_type_tag_percpu__open_opts(opts); }
struct btf_type_tag_percpu *btf_type_tag_percpu::open_and_load() { return btf_type_tag_percpu__open_and_load(); }
int btf_type_tag_percpu::load(struct btf_type_tag_percpu *skel) { return btf_type_tag_percpu__load(skel); }
int btf_type_tag_percpu::attach(struct btf_type_tag_percpu *skel) { return btf_type_tag_percpu__attach(skel); }
void btf_type_tag_percpu::detach(struct btf_type_tag_percpu *skel) { btf_type_tag_percpu__detach(skel); }
void btf_type_tag_percpu::destroy(struct btf_type_tag_percpu *skel) { btf_type_tag_percpu__destroy(skel); }
const void *btf_type_tag_percpu::elf_bytes(size_t *sz) { return btf_type_tag_percpu__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
btf_type_tag_percpu__assert(struct btf_type_tag_percpu *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->g) == 8, "unexpected size of 'g'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BTF_TYPE_TAG_PERCPU_SKEL_H__ */
